xGeneID2Symbol | R Documentation

## Function to convert gene symbols to entrez geneid

### Description

`xGeneID2Symbol` is supposed to convert gene symbols to entrez geneid.

### Usage

    xGeneID2Symbol(data, org = c("human", "mouse"), details = F,
    verbose = T, RData.location = "http://galahad.well.ox.ac.uk/bigdata")

### Arguments

`data` | an input vector containing gene symbols
`org` | a character specifying an organism. Currently supported organisms are 'human' and 'mouse'. It can be an object 'EG'
`details` | logical to indicate whether to result in a data frame (in great details). By default, it sets to false
`verbose` | logical to indicate whether the messages will be displayed in the screen. By default, it sets to false for no display
`RData.location` | the characters to tell the location of built-in RData files. See `xRDataLoader` for details

### Value

a vector containing symbol with 'NA' for the unmatched if (details set to false); otherwise, a data frame is returned

### Note

none.

### See Also

`xEnricherGenes`, `xSocialiserGenes`

### Examples

    ## Not run:
    # Load the library
    library(XGR)

    # a) provide the input Genes of interest (eg 100 randomly chosen human genes)
    ## load human genes
    org.Hs.eg <- xRDataLoader(RData='org.Hs.eg')
    GeneID <- sample(org.Hs.eg$gene_info$GeneID, 100)
    GeneID

    # b) convert into GeneID
    Symbol <- xGeneID2Symbol(GeneID)

    # c) convert into a data frame
    df <- xGeneID2Symbol(GeneID, details=TRUE)

    # advanced use
    df <- xGeneID2Symbol(GeneID, org=org.Hs.eg, details=TRUE)

    ## End(Not run)